Index: /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.mode1
===================================================================
--- /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.mode1	(revision 3478)
+++ /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.mode1	(revision 3479)
@@ -243,5 +243,5 @@
 							<key>PBXSmartGroupTreeModuleColumnWidthsKey</key>
 							<array>
-								<real>241</real>
+								<real>16</real>
 							</array>
 							<key>PBXSmartGroupTreeModuleColumnsKey_v4</key>
@@ -259,16 +259,15 @@
 								<string>6D526BF9066244A2009E5976</string>
 								<string>6D078000061854AA009E5976</string>
-								<string>1C37FBAC04509CD000000102</string>
 							</array>
 							<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 							<array>
 								<array>
-									<integer>3</integer>
-									<integer>2</integer>
+									<integer>21</integer>
+									<integer>11</integer>
 									<integer>0</integer>
 								</array>
 							</array>
 							<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-							<string>{{0, 0}, {241, 876}}</string>
+							<string>{{0, 0}, {0, 0}}</string>
 						</dict>
 						<key>PBXTopSmartGroupGIDs</key>
@@ -282,17 +281,17 @@
 					<dict>
 						<key>Frame</key>
-						<string>{{0, 0}, {258, 894}}</string>
+						<string>{{0, 0}, {0, 892}}</string>
 						<key>GroupTreeTableConfiguration</key>
 						<array>
 							<string>MainColumn</string>
-							<real>241</real>
+							<real>16</real>
 						</array>
 						<key>RubberWindowFrame</key>
-						<string>158 67 1121 935 0 0 1280 1002 </string>
+						<string>410 69 858 933 0 0 1280 1002 </string>
 					</dict>
 					<key>Module</key>
 					<string>PBXSmartGroupTreeModule</string>
 					<key>Proportion</key>
-					<string>258pt</string>
+					<string>0pt</string>
 				</dict>
 				<dict>
@@ -307,5 +306,5 @@
 								<string>1CE0B20306471E060097A5F4</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>xp1.cc</string>
+								<string>RegisterWindow.cpp</string>
 								<key>PBXSplitModuleInNavigatorKey</key>
 								<dict>
@@ -315,195 +314,34 @@
 										<string>1CE0B20406471E060097A5F4</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>xp1.cc</string>
+										<string>RegisterWindow.cpp</string>
 										<key>_historyCapacity</key>
-										<integer>0</integer>
+										<integer>10</integer>
 										<key>bookmark</key>
-										<string>6D6F14CB0D64A1C400583608</string>
+										<string>6DED24EF0DA6560C0095CEF6</string>
 										<key>history</key>
 										<array>
-											<string>6D03F0750D4765880007FC26</string>
-											<string>6D03F0760D4765880007FC26</string>
-											<string>6D03F0770D4765880007FC26</string>
-											<string>6D03F07F0D4765880007FC26</string>
-											<string>6D6F12840D6447CA00583608</string>
-											<string>6D6F12860D6447CA00583608</string>
-											<string>6D6F12B30D644B6800583608</string>
-											<string>6D6F12B40D644B6800583608</string>
-											<string>6D6F12B50D644B6800583608</string>
-											<string>6D6F12FD0D644E0100583608</string>
-											<string>6D6F13110D64517600583608</string>
-											<string>6D6F13550D64576D00583608</string>
-											<string>6D6F13910D645BBF00583608</string>
-											<string>6D6F13930D645BBF00583608</string>
-											<string>6D6F13970D645BBF00583608</string>
-											<string>6D6F141D0D64615700583608</string>
-											<string>6D6F141E0D64615700583608</string>
-											<string>6D6F141F0D64615700583608</string>
-											<string>6D6F14210D64615700583608</string>
-											<string>6D6F14240D64615700583608</string>
-											<string>6D6F14250D64615700583608</string>
-											<string>6D6F14260D64615700583608</string>
-											<string>6D6F14270D64615700583608</string>
-											<string>6D6F14280D64615700583608</string>
-											<string>6D6F14290D64615700583608</string>
-											<string>6D6F142A0D64615700583608</string>
-											<string>6D6F14520D6461E700583608</string>
-											<string>6D6F14540D6461E700583608</string>
-											<string>6D6F14550D6461E700583608</string>
-											<string>6D6F14820D649F9B00583608</string>
-											<string>6D6F14830D649F9B00583608</string>
-											<string>6D6F14840D649F9B00583608</string>
-											<string>6D6F14850D649F9B00583608</string>
-											<string>6D6F14860D649F9B00583608</string>
-											<string>6D6F14870D649F9B00583608</string>
-											<string>6D6F148C0D649F9B00583608</string>
-											<string>6D6F148E0D649F9B00583608</string>
-											<string>6D6F148F0D649F9B00583608</string>
-											<string>6D6F14900D649F9B00583608</string>
-											<string>6D6F14910D649F9B00583608</string>
-											<string>6D6F14B90D64A0A200583608</string>
-											<string>6D6F14BA0D64A0A200583608</string>
-											<string>6D6F14BB0D64A0A200583608</string>
-											<string>6D6F14BC0D64A0A200583608</string>
-											<string>6D6F14C80D64A1C400583608</string>
-											<string>6D6F14C90D64A1C400583608</string>
+											<string>6DEF36C90DA1181700B5B599</string>
+											<string>6DEE54A90DA294BA0087C115</string>
+											<string>6DE740000DA37A33004BB8A9</string>
+											<string>6DE740010DA37A33004BB8A9</string>
+											<string>6DE740020DA37A33004BB8A9</string>
+											<string>6DE7414F0DA37C4A004BB8A9</string>
+											<string>6DE7415E0DA37DE0004BB8A9</string>
+											<string>6DE741E70DA3BA11004BB8A9</string>
+											<string>6D447B930DA5333A002DF23D</string>
+											<string>6DED24CF0DA62E480095CEF6</string>
 										</array>
 										<key>prevStack</key>
 										<array>
-											<string>6D75B9B00D0D768C00083859</string>
 											<string>6D03F0810D4765880007FC26</string>
-											<string>6D03F0830D4765880007FC26</string>
-											<string>6D03F0840D4765880007FC26</string>
-											<string>6D03F0850D4765880007FC26</string>
-											<string>6D03F0860D4765880007FC26</string>
-											<string>6D03F0870D4765880007FC26</string>
-											<string>6D03F0890D4765880007FC26</string>
-											<string>6D03F08A0D4765880007FC26</string>
-											<string>6D03F08B0D4765880007FC26</string>
-											<string>6D03F08C0D4765880007FC26</string>
-											<string>6D6F12890D6447CA00583608</string>
-											<string>6D6F128A0D6447CA00583608</string>
-											<string>6D6F128B0D6447CA00583608</string>
-											<string>6D6F128C0D6447CA00583608</string>
-											<string>6D6F128D0D6447CA00583608</string>
-											<string>6D6F128E0D6447CA00583608</string>
-											<string>6D6F128F0D6447CA00583608</string>
-											<string>6D6F12900D6447CA00583608</string>
-											<string>6D6F12910D6447CA00583608</string>
-											<string>6D6F12920D6447CA00583608</string>
-											<string>6D6F12B80D644B6800583608</string>
-											<string>6D6F12B90D644B6800583608</string>
-											<string>6D6F12BA0D644B6800583608</string>
-											<string>6D6F12BB0D644B6800583608</string>
-											<string>6D6F12E50D644D3400583608</string>
-											<string>6D6F12E80D644D3400583608</string>
-											<string>6D6F12E90D644D3400583608</string>
-											<string>6D6F12EA0D644D3400583608</string>
-											<string>6D6F12EB0D644D3400583608</string>
-											<string>6D6F13010D644E0100583608</string>
-											<string>6D6F13020D644E0100583608</string>
-											<string>6D6F13030D644E0100583608</string>
-											<string>6D6F13040D644E0100583608</string>
-											<string>6D6F13050D644E0100583608</string>
-											<string>6D6F13120D64517600583608</string>
-											<string>6D6F135E0D64576D00583608</string>
-											<string>6D6F135F0D64576D00583608</string>
-											<string>6D6F13600D64576D00583608</string>
-											<string>6D6F13610D64576D00583608</string>
-											<string>6D6F13630D64576D00583608</string>
-											<string>6D6F13640D64576D00583608</string>
-											<string>6D6F13660D64576D00583608</string>
-											<string>6D6F13670D64576D00583608</string>
-											<string>6D6F13680D64576D00583608</string>
-											<string>6D6F13690D64576D00583608</string>
-											<string>6D6F136B0D64576D00583608</string>
-											<string>6D6F136D0D64576D00583608</string>
-											<string>6D6F136F0D64576D00583608</string>
-											<string>6D6F13710D64576D00583608</string>
-											<string>6D6F13730D64576D00583608</string>
-											<string>6D6F13750D64576D00583608</string>
-											<string>6D6F13760D64576D00583608</string>
-											<string>6D6F13990D645BBF00583608</string>
-											<string>6D6F139A0D645BBF00583608</string>
-											<string>6D6F139B0D645BBF00583608</string>
-											<string>6D6F139C0D645BBF00583608</string>
-											<string>6D6F139D0D645BBF00583608</string>
-											<string>6D6F139F0D645BBF00583608</string>
-											<string>6D6F13A00D645BBF00583608</string>
-											<string>6D6F13A10D645BBF00583608</string>
-											<string>6D6F13A20D645BBF00583608</string>
-											<string>6D6F13A30D645BBF00583608</string>
-											<string>6D6F13A40D645BBF00583608</string>
-											<string>6D6F13A50D645BBF00583608</string>
-											<string>6D6F13A60D645BBF00583608</string>
-											<string>6D6F13A70D645BBF00583608</string>
-											<string>6D6F142E0D64615700583608</string>
-											<string>6D6F142F0D64615700583608</string>
-											<string>6D6F14300D64615700583608</string>
-											<string>6D6F14310D64615700583608</string>
-											<string>6D6F14320D64615700583608</string>
-											<string>6D6F14340D64615700583608</string>
-											<string>6D6F14360D64615700583608</string>
-											<string>6D6F14380D64615700583608</string>
-											<string>6D6F14390D64615700583608</string>
-											<string>6D6F143A0D64615700583608</string>
-											<string>6D6F143B0D64615700583608</string>
-											<string>6D6F143C0D64615700583608</string>
-											<string>6D6F143D0D64615700583608</string>
-											<string>6D6F143E0D64615700583608</string>
-											<string>6D6F143F0D64615700583608</string>
-											<string>6D6F14400D64615700583608</string>
-											<string>6D6F14410D64615700583608</string>
-											<string>6D6F14420D64615700583608</string>
-											<string>6D6F14430D64615700583608</string>
-											<string>6D6F14440D64615700583608</string>
-											<string>6D6F14570D6461E700583608</string>
-											<string>6D6F14580D6461E700583608</string>
-											<string>6D6F14590D6461E700583608</string>
-											<string>6D6F145A0D6461E700583608</string>
-											<string>6D6F145B0D6461E700583608</string>
-											<string>6D6F145C0D6461E700583608</string>
-											<string>6D6F145D0D6461E700583608</string>
-											<string>6D6F14930D649F9B00583608</string>
-											<string>6D6F14940D649F9B00583608</string>
-											<string>6D6F14950D649F9B00583608</string>
-											<string>6D6F14960D649F9B00583608</string>
-											<string>6D6F14970D649F9B00583608</string>
-											<string>6D6F14980D649F9B00583608</string>
-											<string>6D6F14990D649F9B00583608</string>
-											<string>6D6F149A0D649F9B00583608</string>
-											<string>6D6F149B0D649F9B00583608</string>
-											<string>6D6F149C0D649F9B00583608</string>
-											<string>6D6F149D0D649F9B00583608</string>
-											<string>6D6F149E0D649F9B00583608</string>
-											<string>6D6F149F0D649F9B00583608</string>
-											<string>6D6F14A00D649F9B00583608</string>
-											<string>6D6F14A10D649F9B00583608</string>
-											<string>6D6F14A20D649F9B00583608</string>
-											<string>6D6F14A30D649F9B00583608</string>
-											<string>6D6F14A40D649F9B00583608</string>
-											<string>6D6F14A50D649F9B00583608</string>
-											<string>6D6F14A60D649F9B00583608</string>
-											<string>6D6F14A70D649F9B00583608</string>
-											<string>6D6F14A80D649F9B00583608</string>
-											<string>6D6F14A90D649F9B00583608</string>
-											<string>6D6F14AA0D649F9B00583608</string>
-											<string>6D6F14AB0D649F9B00583608</string>
-											<string>6D6F14AC0D649F9B00583608</string>
-											<string>6D6F14AD0D649F9B00583608</string>
-											<string>6D6F14AE0D649F9B00583608</string>
-											<string>6D6F14AF0D649F9B00583608</string>
-											<string>6D6F14B00D649F9B00583608</string>
-											<string>6D6F14B10D649F9B00583608</string>
-											<string>6D6F14B20D649F9B00583608</string>
-											<string>6D6F14B30D649F9B00583608</string>
-											<string>6D6F14BE0D64A0A200583608</string>
-											<string>6D6F14BF0D64A0A200583608</string>
-											<string>6D6F14C00D64A0A200583608</string>
-											<string>6D6F14C10D64A0A200583608</string>
-											<string>6D6F14C20D64A0A200583608</string>
-											<string>6D6F14C30D64A0A200583608</string>
-											<string>6D6F14C40D64A0A200583608</string>
-											<string>6D6F14CA0D64A1C400583608</string>
+											<string>6D622DC60D8ED19D00428D9A</string>
+											<string>6DED741A0D8FAEE700D85368</string>
+											<string>6DEF36D10DA1181700B5B599</string>
+											<string>6DEF36D50DA1181700B5B599</string>
+											<string>6DEF36DD0DA1181700B5B599</string>
+											<string>6DEF36E20DA1181700B5B599</string>
+											<string>6DEF36ED0DA1181700B5B599</string>
+											<string>6DE740040DA37A33004BB8A9</string>
+											<string>6DE7400C0DA37A33004BB8A9</string>
 										</array>
 									</dict>
@@ -517,12 +355,91 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {858, 577}}</string>
+								<string>{{0, 0}, {853, 467}}</string>
 								<key>RubberWindowFrame</key>
-								<string>158 67 1121 935 0 0 1280 1002 </string>
+								<string>410 69 858 933 0 0 1280 1002 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXNavigatorGroup</string>
 							<key>Proportion</key>
-							<string>577pt</string>
+							<string>467pt</string>
+						</dict>
+						<dict>
+							<key>ContentConfiguration</key>
+							<dict>
+								<key>PBXProjectModuleGUID</key>
+								<string>1CE0B20306471E060097A5F4</string>
+								<key>PBXProjectModuleLabel</key>
+								<string>RegisterWindow.h</string>
+								<key>PBXSplitModuleInNavigatorKey</key>
+								<dict>
+									<key>Split0</key>
+									<dict>
+										<key>PBXProjectModuleGUID</key>
+										<string>1CE0B20406471E060097A5F4</string>
+										<key>PBXProjectModuleLabel</key>
+										<string>RegisterWindow.h</string>
+										<key>_historyCapacity</key>
+										<integer>10</integer>
+										<key>bookmark</key>
+										<string>6DED24F00DA6560C0095CEF6</string>
+										<key>history</key>
+										<array>
+											<string>6DE741EF0DA3BA11004BB8A9</string>
+											<string>6DE742650DA3DBF7004BB8A9</string>
+											<string>6DE742670DA3DBF7004BB8A9</string>
+											<string>6DF1F00F0DA4C0F30081F718</string>
+											<string>6D447B990DA5333A002DF23D</string>
+											<string>6DED24930DA60AED0095CEF6</string>
+											<string>6DED24D10DA62E480095CEF6</string>
+											<string>6DED24D20DA62E480095CEF6</string>
+											<string>6DED24D30DA62E480095CEF6</string>
+											<string>6DED24D40DA62E480095CEF6</string>
+										</array>
+										<key>prevStack</key>
+										<array>
+											<string>6D03F0810D4765880007FC26</string>
+											<string>6D622DC60D8ED19D00428D9A</string>
+											<string>6DED741A0D8FAEE700D85368</string>
+											<string>6DEF36D10DA1181700B5B599</string>
+											<string>6DEF36DD0DA1181700B5B599</string>
+											<string>6DE7400C0DA37A33004BB8A9</string>
+											<string>6DE742000DA3BA11004BB8A9</string>
+											<string>6DE7426F0DA3DBF7004BB8A9</string>
+											<string>6DE742700DA3DBF7004BB8A9</string>
+											<string>6DED24970DA60AED0095CEF6</string>
+											<string>6DED24980DA60AED0095CEF6</string>
+											<string>6DED24990DA60AED0095CEF6</string>
+											<string>6DED249A0DA60AED0095CEF6</string>
+											<string>6DED249B0DA60AED0095CEF6</string>
+											<string>6DED24A60DA60B380095CEF6</string>
+											<string>6DED24A70DA60B380095CEF6</string>
+											<string>6DED24D50DA62E480095CEF6</string>
+											<string>6DED24D60DA62E480095CEF6</string>
+											<string>6DED24D70DA62E480095CEF6</string>
+											<string>6DED24D80DA62E480095CEF6</string>
+											<string>6DED24D90DA62E480095CEF6</string>
+											<string>6DED24DA0DA62E480095CEF6</string>
+											<string>6DED24DB0DA62E480095CEF6</string>
+											<string>6DED24DC0DA62E480095CEF6</string>
+											<string>6DED24DD0DA62E480095CEF6</string>
+										</array>
+									</dict>
+									<key>SplitCount</key>
+									<string>1</string>
+								</dict>
+								<key>StatusBarVisibility</key>
+								<true/>
+							</dict>
+							<key>GeometryConfiguration</key>
+							<dict>
+								<key>Frame</key>
+								<string>{{0, 472}, {853, 415}}</string>
+								<key>RubberWindowFrame</key>
+								<string>410 69 858 933 0 0 1280 1002 </string>
+							</dict>
+							<key>Module</key>
+							<string>PBXNavigatorGroup</string>
+							<key>Proportion</key>
+							<string>415pt</string>
 						</dict>
 						<dict>
@@ -537,16 +454,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 582}, {858, 312}}</string>
+								<string>{{0, 892}, {853, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>158 67 1121 935 0 0 1280 1002 </string>
+								<string>410 69 858 933 0 0 1280 1002 </string>
 							</dict>
 							<key>Module</key>
 							<string>XCDetailModule</string>
 							<key>Proportion</key>
-							<string>312pt</string>
+							<string>0pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>858pt</string>
+					<string>853pt</string>
 				</dict>
 			</array>
@@ -559,11 +476,13 @@
 				<string>XCModuleDock</string>
 				<string>PBXNavigatorGroup</string>
+				<string>PBXNavigatorGroup</string>
 				<string>XCDetailModule</string>
 			</array>
 			<key>TableOfContents</key>
 			<array>
-				<string>6D6F12940D6447CA00583608</string>
+				<string>6DED24660DA601470095CEF6</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
-				<string>6D6F12950D6447CA00583608</string>
+				<string>6DED24670DA601470095CEF6</string>
+				<string>1CE0B20306471E060097A5F4</string>
 				<string>1CE0B20306471E060097A5F4</string>
 				<string>1CE0B20506471E060097A5F4</string>
@@ -700,9 +619,9 @@
 	<array>
 		<string>6D51EC7C0BA8059900CD4CE8</string>
+		<string>1C0AD2B3069F1EA900FABCE6</string>
 		<string>/Users/brunomansoux/Programmes/PI4Mac/PI/Quartz/PI.xcodeproj</string>
-		<string>1C0AD2B3069F1EA900FABCE6</string>
 	</array>
 	<key>WindowString</key>
-	<string>158 67 1121 935 0 0 1280 1002 </string>
+	<string>410 69 858 933 0 0 1280 1002 </string>
 	<key>WindowTools</key>
 	<array>
@@ -720,6 +639,4 @@
 					<array>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -727,5 +644,5 @@
 								<string>1CD0528F0623707200166675</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>piapplgen.h</string>
+								<string>RegisterWindow.cpp</string>
 								<key>StatusBarVisibility</key>
 								<true/>
@@ -744,8 +661,10 @@
 						</dict>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
 								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
-								<string>{{0, 179}, {1103, 287}}</string>
+								<string>{{0, 189}, {1103, 277}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -785,5 +704,5 @@
 			<array>
 				<string>6D51EC7C0BA8059900CD4CE8</string>
-				<string>6D6F12800D6447C900583608</string>
+				<string>6DED248F0DA60AC30095CEF6</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -951,4 +870,6 @@
 						</dict>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -986,6 +907,6 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>6DF776340CC3AB3800D784C9</string>
-				<string>6DF776350CC3AB3800D784C9</string>
+				<string>6DF1EFF70DA4B5720081F718</string>
+				<string>6DF1EFF80DA4B5720081F718</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
@@ -1095,6 +1016,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {367, 168}}</string>
-											<string>{{0, 173}, {367, 270}}</string>
+											<string>{{0, 0}, {366, 168}}</string>
+											<string>{{0, 173}, {366, 270}}</string>
 										</array>
 									</dict>
@@ -1120,16 +1041,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {711, 738}}</string>
+								<string>{{0, 0}, {524, 746}}</string>
 								<key>RubberWindowFrame</key>
-								<string>382 130 711 779 0 0 1280 1002 </string>
+								<string>734 158 524 787 0 0 1280 1002 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXRunSessionModule</string>
 							<key>Proportion</key>
-							<string>738pt</string>
+							<string>746pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>738pt</string>
+					<string>746pt</string>
 				</dict>
 			</array>
@@ -1145,12 +1066,12 @@
 			<array>
 				<string>1C0AD2B3069F1EA900FABCE6</string>
-				<string>6D6F145F0D6461E700583608</string>
+				<string>6DED24680DA601470095CEF6</string>
 				<string>1CD0528B0623707200166675</string>
-				<string>6D6F14600D6461E700583608</string>
+				<string>6DED24690DA601470095CEF6</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.run</string>
 			<key>WindowString</key>
-			<string>382 130 711 779 0 0 1280 1002 </string>
+			<string>734 158 524 787 0 0 1280 1002 </string>
 			<key>WindowToolGUID</key>
 			<string>1C0AD2B3069F1EA900FABCE6</string>
